#!/bin/bash -xe
WP_PATH="/wordpress"
MYSQL="docker-compose run --rm --entrypoint '' db mysql -h db -ppassword -uroot"
WP_SHELL="docker-compose run --rm --entrypoint '' dhwp"


$WP_SHELL bash -c "rm -rf ${WP_PATH}/live/* ${WP_PATH}/stage/*"


for DB in wordpress wordpress_stage; do
        $MYSQL -e "drop database if exists ${DB} ; create database ${DB} ; GRANT ALL PRIVILEGES ON ${DB}.* TO 'wordpress'@'%';"
#        $MYSQL -e "create database ${DB}"
#        $MYSQL -e "GRANT ALL PRIVILEGES ON ${DB}.* TO 'wordpress'@'%';"
done

TYPE=$1
if [[ $TYPE ]]; then
        DHWP="docker-compose run --rm dhwp -d -c /build/etc/${TYPE}.yaml"
else
        DHWP='docker-compose run --rm dhwp -d '
fi


$DHWP -p ${WP_PATH}/live download
$DHWP -p ${WP_PATH}/live configure --dbname wordpress --dbuser wordpress --dbpass wordpress --dbhost db:3306
$DHWP -p ${WP_PATH}/live install --title blah --url http://wplive.local:8080 --admin_user admin --admin_password blah --admin_email jordan@dreamhost.com


$DHWP stage -p ${WP_PATH}/live -d ${WP_PATH}/stage create --url http://wpstage.local:8080 --dbname wordpress_stage
